GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
dtrace_probe_arg Struct Reference

## Public Member Functions
| dtrace_probe_arg (struct type *type_, std::string &&type_str_, expression_up &&expr_)

## Public Attributes
struct type * | type
std::string | type_str
expression_up | expr

## Detailed Description

Definition at line 47 of file dtrace-probe.c.

## Constructor & Destructor Documentation

## ◆ dtrace_probe_arg()

dtrace_probe_arg::dtrace_probe_arg | ( | struct type * | type_,
|  | std::string && | type_str_,
|  | expression_up && | expr_
| ) |  |
| inline

Definition at line 49 of file dtrace-probe.c.

## Member Data Documentation

## ◆ expr

expression_up dtrace_probe_arg::expr

Definition at line 62 of file dtrace-probe.c.

Referenced by dtrace_probe::compile_to_ax(), and dtrace_probe::evaluate_argument().

## ◆ type

struct type* dtrace_probe_arg::type

Definition at line 56 of file dtrace-probe.c.

Referenced by dtrace_probe::compile_to_ax(), and dtrace_probe::evaluate_argument().

## ◆ type_str

std::string dtrace_probe_arg::type_str

Definition at line 59 of file dtrace-probe.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dtrace-probe.c